MeasurementTemplateSortField (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.MeasurementTemplateSortField class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class MeasurementTemplateSortField

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.measurement.server.session.MeasurementTemplateSortField

All Implemented Interfaces:
  java.io.Serializable, SortField, JSON

    public abstract class MeasurementTemplateSortField

extends HypericEnum
implements SortField

See Also:
  Serialized Form

Field Summary
`static MeasurementTemplateSortField` | `TEMPLATE_NAME`

Method Summary
`static MeasurementTemplateSortField` | `findByCode(int code)`
`static MeasurementTemplateSortField` | `findByDescription(java.lang.String desc)`
`abstract java.lang.String` | `getSortString(java.lang.String template)`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.hibernate.SortField
`getDescription, getValue, isSortable`

Field Detail

### TEMPLATE_NAME

    public static final MeasurementTemplateSortField TEMPLATE_NAME

Method Detail

### getSortString

    public abstract java.lang.String getSortString(java.lang.String template)

### findByCode

    public static MeasurementTemplateSortField findByCode(int code)

### findByDescription

    public static MeasurementTemplateSortField findByDescription(java.lang.String desc)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.